Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1735795 - [RFE] sosreport should capture /sys/kernel/kexec_crash_loaded for kdump validation
Summary: [RFE] sosreport should capture /sys/kernel/kexec_crash_loaded for kdump valid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: sos
Version: 8.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Pavel Moravec
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 12:53 UTC by Rohit Keshri
Modified: 2020-04-28 17:02 UTC (History)
5 users (show)

Fixed In Version: sos-3.8-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 17:01:55 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sosreport sos pull 1742 0 None closed [kdump] collect kexec_crash_* on all distributions 2020-10-11 11:56:15 UTC
Red Hat Product Errata RHEA-2020:1900 0 None None None 2020-04-28 17:02:44 UTC

Comment 1 Pavel Moravec 2019-08-01 13:24:21 UTC
As in bz1735794 :

My understanding is sosreport should collect:

/sys/kernel/kexec_crash_loaded
/sys/kernel/kexec_crash_size

Rohit, will you be able to test a package with the fix (once available)?

Comment 2 Rohit Keshri 2019-08-03 07:09:16 UTC
(In reply to Pavel Moravec from comment #1)
> As in bz1735794 :
> 
> My understanding is sosreport should collect:
> 
> /sys/kernel/kexec_crash_loaded
> /sys/kernel/kexec_crash_size
> 
> Rohit, will you be able to test a package with the fix (once available)?

yes sure.

Comment 5 Pavel Moravec 2020-03-03 14:10:31 UTC
(In reply to Rohit Keshri from comment #2)
> (In reply to Pavel Moravec from comment #1)
> > As in bz1735794 :
> > 
> > My understanding is sosreport should collect:
> > 
> > /sys/kernel/kexec_crash_loaded
> > /sys/kernel/kexec_crash_size
> > 
> > Rohit, will you be able to test a package with the fix (once available)?
> 
> yes sure.

Could you please verify the BZ against build http://download-ipv4.eng.brq.redhat.com/brewroot/////packages/sos/3.8/2.el8/noarch/sos-3.8-2.el8.noarch.rpm ?

I verified the codefix is in that sos version that is in RHEL8.2 errata - I just forgot to add this BZ to errata.

Comment 13 errata-xmlrpc 2020-04-28 17:01:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:1900


Note You need to log in before you can comment on or make changes to this bug.